| LicenseSpring .Net SDK 7.42.0 Easily add Software Licensing to your application

Loading...
Searching...
No Matches
Public Member Functions | Properties | List of all members
LicenseSpring.ILicenseFeature Interface Reference

LicenseFeature interface. More...

Inheritance diagram for LicenseSpring.ILicenseFeature:

## Public Member Functions
bool | IsBorrowed ()
| Checks if the feature is borrowed.
bool | IsExpired ()
| Is license feature expired.
uint | MaxBorrowTime ()
| Maximum borrowing period in hours.
string | ToString ()
| Override Object.ToString.

## Properties
bool | AllowNegativeConsumptions`[get]`
| Indicates whether negative consumption is allowed for Consumption feature.
bool | AllowOverages`[get]`
| Indicates whether overage is allowed for Consumption feature.
bool | AllowUnlimitedConsumptions`[get]`
| Indicates whether unlimited consumption is allowed for Consumption feature.
string | Code`[get]`
| Feature code.
ConsumptionPeriod | ConsumptionPeriod`[get]`
| Period of time after which consumption is reset.
System.DateTime | ExpiryDate`[get]`
| It's final end date and time license feature is valid.
System.DateTime | ExpiryDateUtc`[get]`
| It's final end date and time license feature is valid.
LicenseFeature.Type | FeatureType`[get]`
| Feature type.
DateTime | FloatingEndDateTime`[get]`
| Point in time until which a floating feature is registered. Expressed in local time.
DateTime | FloatingEndDateTimeUtc`[get]`
| Point in time until which a floating feature is registered. Expressed in UTC.
uint | FloatingSlotsCount`[get]`
| Maximum number of simultaneous users allowed for this feature.
uint | FloatingSlotsInUse`[get]`
| Current number of simultaneous users using this feature.
uint | FloatingTimeout`[get]`
| Duration of floating feature registration in minutes.
bool | IsFloating`[get]`
| Is this feature a floating feature.
bool | IsOfflineFloating`[get]`
| Is this feature an offline server floating feature.
int | LocalConsumption`[get]`
| Local consumption of the feature, this is the amount which has not been synced yet.
int | MaxConsumption`[get]`
| Maximum consumption of the feature.
int | MaxOverages`[get]`
| Maximum overage allowed for the license feature.
string | Metadata`[get]`
| Feature metadata.
string | Name`[get]`
| Feature name.
bool | ResetConsumption`[get]`
| Indicates whether consumption resets after a certain period of time.
int | TotalConsumption`[get]`
| Total consumption of the feature, it includes LocalConsumption.

## Detailed Description

LicenseFeature interface.

Includes information for a license feature's typing, code, name.

## Member Function Documentation

## ◆ IsBorrowed()

bool LicenseSpring.ILicenseFeature.IsBorrowed | ( |  | ) |

Checks if the feature is borrowed.

Meaningful only for floating features, see ILicense.BorrowFloatingFeature(string, DateTime).

Returns
  True if borrowed, false if not borrowed or if the feature is not floating.

Implemented in LicenseSpring.LicenseFeature.

## ◆ IsExpired()

bool LicenseSpring.ILicenseFeature.IsExpired | ( |  | ) |

Is license feature expired.

Returns
  Boolean value indicating whether license feature is expired

Implemented in LicenseSpring.LicenseFeature.

## ◆ MaxBorrowTime()

uint LicenseSpring.ILicenseFeature.MaxBorrowTime | ( |  | ) |

Maximum borrowing period in hours.

Meaningful only for floating features.

Returns
  Max borrow time or 0 if feature borrowing is not allowed.

Implemented in LicenseSpring.LicenseFeature.

## ◆ ToString()

string LicenseSpring.ILicenseFeature.ToString | ( |  | ) |

Override Object.ToString.

Returns
  A string that represents the current object

Implemented in LicenseSpring.LicenseFeature.

## Property Documentation

## ◆ AllowNegativeConsumptions

bool LicenseSpring.ILicenseFeature.AllowNegativeConsumptions
| get

Indicates whether negative consumption is allowed for Consumption feature.

Meaningful only for Consumption license features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ AllowOverages

bool LicenseSpring.ILicenseFeature.AllowOverages
| get

Indicates whether overage is allowed for Consumption feature.

Meaningful only for Consumption license features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ AllowUnlimitedConsumptions

bool LicenseSpring.ILicenseFeature.AllowUnlimitedConsumptions
| get

Indicates whether unlimited consumption is allowed for Consumption feature.

Meaningful only for Consumption license features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ Code

string LicenseSpring.ILicenseFeature.Code
| get

Feature code.

Implemented in LicenseSpring.LicenseFeature.

## ◆ ConsumptionPeriod

ConsumptionPeriod LicenseSpring.ILicenseFeature.ConsumptionPeriod
| get

Period of time after which consumption is reset.

Meaningful only for Consumption license features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ ExpiryDate

System.DateTime LicenseSpring.ILicenseFeature.ExpiryDate
| get

It's final end date and time license feature is valid.

The DateTime when license feature expires in local time

Implemented in LicenseSpring.LicenseFeature.

## ◆ ExpiryDateUtc

System.DateTime LicenseSpring.ILicenseFeature.ExpiryDateUtc
| get

It's final end date and time license feature is valid.

The DateTime when license feature expires in UTC

Implemented in LicenseSpring.LicenseFeature.

## ◆ FeatureType

LicenseFeature.Type LicenseSpring.ILicenseFeature.FeatureType
| get

Feature type.

Implemented in LicenseSpring.LicenseFeature.

## ◆ FloatingEndDateTime

DateTime LicenseSpring.ILicenseFeature.FloatingEndDateTime
| get

Point in time until which a floating feature is registered. Expressed in local time.

Meaningful only for floating features. Returns DateTime.Now if a feature is not registered or is not floating.

Implemented in LicenseSpring.LicenseFeature.

## ◆ FloatingEndDateTimeUtc

DateTime LicenseSpring.ILicenseFeature.FloatingEndDateTimeUtc
| get

Point in time until which a floating feature is registered. Expressed in UTC.

Meaningful only for floating licenses. Returns DateTime.Now if a feature is not registered or is not floating.

Implemented in LicenseSpring.LicenseFeature.

## ◆ FloatingSlotsCount

uint LicenseSpring.ILicenseFeature.FloatingSlotsCount
| get

Maximum number of simultaneous users allowed for this feature.

Meaningful only for floating features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ FloatingSlotsInUse

uint LicenseSpring.ILicenseFeature.FloatingSlotsInUse
| get

Current number of simultaneous users using this feature.

Meaningful only for floating features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ FloatingTimeout

uint LicenseSpring.ILicenseFeature.FloatingTimeout
| get

Duration of floating feature registration in minutes.

Meaningful only for floating features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ IsFloating

bool LicenseSpring.ILicenseFeature.IsFloating
| get

Is this feature a floating feature.

Implemented in LicenseSpring.LicenseFeature.

## ◆ IsOfflineFloating

bool LicenseSpring.ILicenseFeature.IsOfflineFloating
| get

Is this feature an offline server floating feature.

Implemented in LicenseSpring.LicenseFeature.

## ◆ LocalConsumption

int LicenseSpring.ILicenseFeature.LocalConsumption
| get

Local consumption of the feature, this is the amount which has not been synced yet.

Meaningful only for consumption feature type.

Implemented in LicenseSpring.LicenseFeature.

## ◆ MaxConsumption

int LicenseSpring.ILicenseFeature.MaxConsumption
| get

Maximum consumption of the feature.

Meaningful only for consumption feature type.

Implemented in LicenseSpring.LicenseFeature.

## ◆ MaxOverages

int LicenseSpring.ILicenseFeature.MaxOverages
| get

Maximum overage allowed for the license feature.

Meaningful only for Consumption feature type, the value is 0 in case of unlimited overages

Implemented in LicenseSpring.LicenseFeature.

## ◆ Metadata

string LicenseSpring.ILicenseFeature.Metadata
| get

Feature metadata.

Implemented in LicenseSpring.LicenseFeature.

## ◆ Name

string LicenseSpring.ILicenseFeature.Name
| get

Feature name.

Implemented in LicenseSpring.LicenseFeature.

## ◆ ResetConsumption

bool LicenseSpring.ILicenseFeature.ResetConsumption
| get

Indicates whether consumption resets after a certain period of time.

Meaningful only for Consumption license features.

Implemented in LicenseSpring.LicenseFeature.

## ◆ TotalConsumption

int LicenseSpring.ILicenseFeature.TotalConsumption
| get

Total consumption of the feature, it includes LocalConsumption.

Meaningful only for consumption feature type.

Implemented in LicenseSpring.LicenseFeature.

The documentation for this interface was generated from the following file:

- ILicenseFeature.cs